﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System.IO;
using System.Drawing;
using System.Net;

namespace ZoomToFullExtentWpf
{
    /// <summary>
    /// Interaction logic for TestWindow.xaml
    /// </summary>
    public partial class TestWindow : Window
    {
        public TestWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            String URL = "http://maps.google.com/mapfiles/kml/shapes/shaded_dot.png";
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;

            InMemoryFeatureLayer pointLayer = new InMemoryFeatureLayer();
            pointLayer.InternalFeatures.Add(new Feature(0, 0));
            pointLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle.Image = GetGeoImageFromNet(URL);
            pointLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle.PointType = PointType.Bitmap;
            pointLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay ov = new LayerOverlay();
            ov.Layers.Add(pointLayer);

            wpfMap1.Overlays.Add(ov);
            wpfMap1.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);
            wpfMap1.Refresh();
        }

        public GeoImage GetGeoImageFromNet(string url)
        {
            MemoryStream ms = new MemoryStream(new WebClient().DownloadData(url));
            return new GeoImage(ms);
        }
    }
}
